GuiMap
Date: 2019-10-22

org.openscience.jmol.app.jmolpanel

## Class GuiMap

- java.lang.Object
- - org.openscience.jmol.app.jmolpanel.GuiMap

-     public class GuiMap
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.util.Map<java.lang.String,java.lang.String>` | `labels`
    `private static java.lang.Object` | `language`
    `(package private) java.util.Map<java.lang.String,java.lang.Object>` | `map`
    `private static java.lang.String[]` | `translations`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiMap()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) java.lang.Object` | `get(java.lang.String key)`
    `static java.net.URL` | `getHtmlResource(java.lang.Object object, java.lang.String root)`
    `(package private) java.lang.String` | `getLabel(java.lang.String key)`
    `static java.net.URL` | `getResource(java.lang.Object object, java.lang.String fileName)`
    `static java.net.URL` | `getResource(java.lang.Object object, java.lang.String fileName, boolean flagError)`
    `static java.lang.String` | `getResourceString(java.lang.Object object, java.lang.String name)`
    `(package private) javax.swing.JButton` | `newJButton(java.lang.String key)`
    `(package private) javax.swing.JCheckBox` | `newJCheckBox(java.lang.String key, boolean isChecked)`
    `(package private) javax.swing.JCheckBoxMenuItem` | `newJCheckBoxMenuItem(java.lang.String key, boolean isChecked)`
    `(package private) javax.swing.JMenu` | `newJMenu(java.lang.String key)`
    `(package private) javax.swing.JMenuItem` | `newJMenuItem(java.lang.String key)`
    `(package private) javax.swing.JRadioButtonMenuItem` | `newJRadioButtonMenuItem(java.lang.String key)`
    `(package private) void` | `setEnabled(java.lang.String key, boolean b)`
    `(package private) void` | `setSelected(java.lang.String key, boolean b)`
    `private static void` | `setTranslations()` allows for web page material to be internationalized, inserting language-specific code, as for WebExport, or by inserting boiler-plate information, as for About_xx.html
    `private void` | `setupLabels()`
    `static java.lang.String` | `translate(java.lang.String str)`
    `void` | `updateLabels()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### language

          private static java.lang.Object language

    - #### map

          java.util.Map<java.lang.String,java.lang.Object> map

    - #### labels

          java.util.Map<java.lang.String,java.lang.String> labels

    - #### translations

          private static java.lang.String[] translations

  - ### Constructor Detail

    - #### GuiMap

          public GuiMap()

  - ### Method Detail

    - #### setupLabels

          private void setupLabels()

    - #### getLabel

          java.lang.String getLabel(java.lang.String key)

    - #### newJMenu

          javax.swing.JMenu newJMenu(java.lang.String key)

    - #### newJMenuItem

          javax.swing.JMenuItem newJMenuItem(java.lang.String key)

    - #### newJCheckBoxMenuItem

          javax.swing.JCheckBoxMenuItem newJCheckBoxMenuItem(java.lang.String key,
                                                             boolean isChecked)

    - #### newJRadioButtonMenuItem

          javax.swing.JRadioButtonMenuItem newJRadioButtonMenuItem(java.lang.String key)

    - #### newJCheckBox

          javax.swing.JCheckBox newJCheckBox(java.lang.String key,
                                             boolean isChecked)

    - #### newJButton

          javax.swing.JButton newJButton(java.lang.String key)

    - #### get

          java.lang.Object get(java.lang.String key)

    - #### setSelected

          void setSelected(java.lang.String key,
                           boolean b)

    - #### setEnabled

          void setEnabled(java.lang.String key,
                          boolean b)

    - #### updateLabels

          public void updateLabels()

    - #### translate

          public static java.lang.String translate(java.lang.String str)

    - #### getResource

          public static java.net.URL getResource(java.lang.Object object,
                                                 java.lang.String fileName)

    - #### getHtmlResource

          public static java.net.URL getHtmlResource(java.lang.Object object,
                                                     java.lang.String root)

    - #### getResource

          public static java.net.URL getResource(java.lang.Object object,
                                                 java.lang.String fileName,
                                                 boolean flagError)

      Parameters:
        `object` - UNUSED
        `fileName` -
        `flagError` -
      Returns:
        URL

    - #### getResourceString

          public static java.lang.String getResourceString(java.lang.Object object,
                                                           java.lang.String name)
                                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### setTranslations

          private static void setTranslations()

      allows for web page material to be internationalized, inserting language-specific code, as for WebExport, or by inserting boiler-plate information, as for About_xx.html